Skip to main content
`Ctrl`+`K`

# PetscContainer

Simple PETSc object that contains a pointer to any required data

## Synopsis

    typedef struct _p_PetscContainer *PetscContainer;

## Note

This is useful to attach arbitrary data to a `PetscObject` with `PetscObjectCompose()` and `PetscObjectQuery()`

## See Also

`PetscObject`, `PetscContainerCreate()`, `PetscObjectCompose()`, `PetscObjectQuery()`

## Level

advanced

## Location

include/petscsystypes.h

## Examples

src/dm/impls/plex/tutorials/ex18.c
src/snes/tutorials/ex7.c
src/sys/tutorials/ex7.c
src/sys/tutorials/ex6.c
src/dm/impls/plex/tutorials/ex19.c

## Implementations

_p_PetscContainer in src/sys/objects/inherit.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages